## gimpdisplay gimpdisplay |

## Functions

gint32 | gimp_display_new ()
gboolean | gimp_display_delete ()
gboolean | gimp_display_is_valid ()
gint | gimp_display_get_window_handle ()
gboolean | gimp_displays_flush ()
gboolean | gimp_displays_reconnect ()

## Description

## Functions

### gimp_display_new ()

    gint32
    gimp_display_new (gint32 image_ID);

### gimp_display_delete ()

    gboolean
    gimp_display_delete (gint32 display_ID);

### gimp_display_is_valid ()

    gboolean
    gimp_display_is_valid (gint32 display_ID);

Since: GIMP 2.4

### gimp_display_get_window_handle ()

    gint
    gimp_display_get_window_handle (gint32 display_ID);

Since: GIMP 2.4

### gimp_displays_flush ()

    gboolean
    gimp_displays_flush (void);

### gimp_displays_reconnect ()

    gboolean
    gimp_displays_reconnect (gint32 old_image_ID,
                             gint32 new_image_ID);

## Types and Values